aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xresources/libraries/bash/entry/tox.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/resources/libraries/bash/entry/tox.sh b/resources/libraries/bash/entry/tox.sh
index c6ceb6503e..9edd6607d6 100755
--- a/resources/libraries/bash/entry/tox.sh
+++ b/resources/libraries/bash/entry/tox.sh
@@ -31,3 +31,9 @@ cd "${CSIT_DIR}" || die
activate_virtualenv "${CSIT_DIR}" "${CSIT_DIR}/tox-requirements.txt" || die
# Verbosity is increased so console output shows any unwanted downloads.
tox -vv # Return code is turned into Jenkins job vote.
+TOX_EXIT_STATUS="$?"
+
+mkdir -p "${CSIT_DIR}/archives" || die
+mv *.log "${CSIT_DIR}/archives" || die
+
+exit "${TOX_EXIT_STATUS}" \ No newline at end of file